Bug 137004 - gfs ocfs ocfs2
gfs ocfs ocfs2
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-24 23:41 EDT by Colin Coe
Modified: 2015-01-04 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 15:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Coe 2004-10-24 23:41:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
It would be very useful to include RedHat's recently acquired GFS and 
Oracle's OCFS and OCFSv2 in with the ES and AS distributions.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:
Comment 1 Colin Coe 2004-10-24 23:50:17 EDT
I should have also requested the option to use file systems other 
than ext[23] (i.e. reiserfs) at install time.
Comment 2 Suzanne Hillman 2004-10-25 12:05:21 EDT
Internal RFE bug #137053 entered; will be considered for future releases.
Comment 3 Colin Coe 2004-10-25 18:47:12 EDT
Please consider for EL4.  We should not have to go into single user 
mode and unmount /usr (for example) to grow the filesystem.  It is 
this lack of functionality that is preventing Linux being installed 
on critical systems.

A filesystem that can be grown on-line *is critical*.

RedHat is touting the aquirement of GFS.  Why not do something useful 
with it?  Does RedHat really what to make us use NFS instead?
Comment 4 dff 2004-10-27 15:50:11 EDT
GFS is available for purchase as a layered product for RHEL 3:

  http://www.redhat.com/software/rha/gfs/

Red Hat's policy is to support the ext3 filesystem in the core
product, and not reiserfs or OCFS.

Note that RHEL 4 will add support for on-line growing of ext3
filesystems in conjunction with Logical Volume Manager 2 -- built into
the base RHEL OS.

Note You need to log in before you can comment on or make changes to this bug.